package com.company.fsuggestion.web.screens.customer;

import com.haulmont.cuba.gui.Notifications;
import com.haulmont.cuba.gui.screen.*;
import com.company.fsuggestion.entity.Customer;

import javax.inject.Inject;

@UiController("fsuggestion_Customer.edit")
@UiDescriptor("customer-edit.xml")
@EditedEntityContainer("customerDc")
@LoadDataBeforeShow
public class CustomerEdit extends StandardEditor<Customer> {

    @Inject
    private Notifications notifications;

    private String searchValue;

    @Subscribe
    public void onInit(InitEvent event) {
        /* Если использовать ScreenOptions
        ScreenOptions screenOptions = event.getOptions();
        if (screenOptions instanceof MapScreenOptions) {
            MapScreenOptions mapOptions = (MapScreenOptions) screenOptions;
            searchValue = (String) mapOptions.getParams().getOrDefault("searchValue", "");
        }*/
    }

    @Subscribe
    public void onAfterShow(AfterShowEvent event) {
        notifications.create(Notifications.NotificationType.HUMANIZED)
                .withCaption("AfterShowEvent searchValue: " + searchValue)
                .show();
    }


    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }
}